import request from '@/utils/request'
const service_name = "oil-site"
const group_name = "oilCloudSite" 
const info_name = 'oilSiteAppInfo'
const qr_name = 'qrCode'
const pay_name = 'rrs'
const order_name = 'oilSiteOrderInfo'
export default{
	getOrderDiscountInfo(data){
		return request({
			url: `/${service_name}/${order_name}/getOrderDiscountInfo`,
			method:'post',
			data:data
		}) 
	},
	//  二维码扫码下单
	verifyQrCode(data) {
		return request({
			url: `/${service_name}/${group_name}/verifyQrCode`,
			method: 'post',
			data: data
		})
	},
	plateNumberRecognition(data) { //车牌图文识别
		return request({
			url: `/${service_name}/oilSiteAppInfo/plateNumberRecognition`,
			method: 'post'  ,
			data:data
		})
	}, 
	// 开放平台下单接口
	 payOfQrCode(data) {
	  return request({
	   url: `/${service_name}/openPlatform/payOfQrCode`,
	   method: 'post',
	   data: data
	  })
	 },
	// 顺丰下单接口
	sfPay(data) {
		return request({
			url: `/${service_name}/sf/createOrder`,
			method: 'post',
			data: data
		})
	},
	// 顺丰下单接口
	FYPay(data) {
		return request({
			url: `/${service_name}/fuYou/pay`,
			method: 'post',
			data: data
		})
	},
	// 则一下单接口
	zeyiPay(data) {
		return request({
			url: `/${service_name}/zeyi/zeyiPay`,
			method: 'post',
			data: data
		})
	},
	// 星油下单接口
	xoilPay(data) {
		return request({
			url: `/${service_name}/xoil/xoilPay`,
			method: 'post',
			data: data
		})
	},
	// 获取订单列表
	getNewItemSiteOrder(data) {
		return request({
			url: `/${service_name}/${group_name}/getNewItemSiteOrder`,
			method: 'post',
			data: data
		})
	},
	// 获取用户基础信息
	getSiteBasicData(id) {
		return request({
			url: `/${service_name}/${info_name}/getSiteBasicData/`+id,
			method: 'get'
		})
	},// 获取油站信息
	getSiteDetail(id) {
		return request({
			url: `/${service_name}/${info_name}/getSiteDetail/`+id,
			method: 'get'
		})
	},
	// 获取昨日交易信息
	getYesterdayOrderInfo(id) {
		return request({
			url: `/${service_name}/${info_name}/getYesterdayOrderInfo/`+id,
			method: 'get'
		})
	},// 获取昨日交易信息
	getOrderInfoByDay(data) {
		return request({
			url: `/${service_name}/${info_name}/getOrderInfoByDay`,
			method: 'post',
			data:data
		})
	},// 获取员工列表
	getAllStaffList(data) {
		return request({
			url: `/${service_name}/${info_name}/getAllStaffList`,
			method: 'post',
			data:data
		})
	},// 获取角色列表
	getRoleList() {
		return request({
			url: `/${service_name}/${info_name}/getRoleList`,
			method: 'get'
		})
	},// 查询某月交易信息
	getOrderInfoByMonth(data) {
		return request({
			url: `/${service_name}/${info_name}/getOrderInfoByMonth`,
			method: 'POST',
			data:data
		})
	},// 油站二维码
	getOilSiteCollectQrCode(data) {
		return request({
			url: `/${service_name}/${qr_name}/getOilSiteCollectQrCode`,
			method: 'POST',
			data:data
		})
	},// 获取某日的交易信息
	getRefuelDataByDay(data) {
		return request({
			url: `/${service_name}/${info_name}/getRefuelDataByDay`,
			method: 'POST',
			data:data
		})
	},
	// 日日顺支付
	RrsPay(data) {
		return request({
			url: `/${service_name}/${pay_name}/pay`,
			method: 'POST',
			data:data
		})
	},
	// 安能支付
	AnPay(data) {
		return request({
			url: `/${service_name}/anneng/pay`,
			method: 'POST',
			data:data
		})
	},
	//根据id回显促销编辑
	getPrice (id) {
	  return request({
	    url: `/${service_name}/oilSiteInfo/get/${id} `,
	    method: 'get'
	  })
	},
	//促销编辑
	update(data) {
		return request({
			url: `/${service_name}/oilSiteInfo/update`,
			method: 'POST',
			data:data
		})
	},
}